Subject: DISPLACEMENT MAPPING??
From: [email-masked]
To: [email-masked]
Date: Tue, 30 Aug 94 17:27:05

> What I am attempting to do is make some text seem to push up from 
 > inside of 
 > a box like object. Something along the line of how the text pushes 
 > through 
 > the bottom of the chocolate drop on the Chips Ahoy commercial. I can 
 > get it 
 > to appear to be extruded through the box as a bump map but since a 
 > bump map 
 > doesn't really affect the shape when I move the camera to the side 
 > it just 
 > appears flat. When I tried to use a displacement map along the z 
 > nothing 
 > appeared and fooling around with it seemed to have no affect on it. 
 > What I 
 > am using is an image created in CG and saved as an rgb in Paint, 
 > white text 
 > on black background. How many polys should the face of this box or 
 > any 
 > object have to get a good displacement map to do what I want? Also 
 > how could 
 > I animate this text to start as barely noticeable to fully extruded, 
 > set the 
 > z velocity on the dmap??

Unfortunately, displacement map amplitudes aren't animatable yet, but here's a
workaround.

First of all, I assume you are attaching the image properly as a displacement
map. If you are and you're not getting anything, either your displacement map
Texture Amplitude is too low or your polygon mesh count is not sufficient
enough to do what you are asking it to do. Depending on the size of the object
on the screen and how finely you want to displace the mesh, you may have to
have a mesh of 100x100 polys or so.

Once you have experimented and found your perfect settings for your end frame
(the extruded one), use Save Transformed to save the object as it is
transformed, extrusions and all. Then it is only a simple matter of loading
both the original object and the transformed object, and doing a morph between
them.

Good luck!

Alan Chan                                                                   
Graphics/Animation Design                                                    
Vision Video Systems                                                         
[email-masked]